SEXP-CONV(1)

NAME
nettle-hash - compute message digests

SYNOPSIS
nettle-hash -a ALGORITHM [OPTIONS] [FILE]...

DESCRIPTION
This manual page documents briefly the nettle-hash command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page. Instead, it has documentation in the GNU Info format; see below.

nettle-hash is a program that computes various message digests. The output is different from the familiar md5sum and sha*sum family. For each file, the file name and a colon is printed first, unless input is read from standard input, in which case nothing is printed. Then the hash is printed in chunks of 64 bits (16 hexadecimal digits) followed by the name of the algorithm. In raw (binary) mode, the hash is not split in chunks and is not followed by a newline.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-a, --algorithm=algorithm
    Compute hash using algorithm.

-l, --length=length
    Truncate digests at length octets. It is an error to specify a length greater than the normal length of the selected digest.

--list
    List supported hash algorithms.

--help
    Show summary of options.

-V, --version
    Show version of program.

SEE ALSO
md5sum(1), sha1sum(1), etc.

AUTHOR
This manual page was originally written by Magnus Holmgren <holmgren@debian.org>, for the Debian GNU/Linux system (but may be used by others).